Summary:	iwd - wireless daemon for Linux
Summary(pl.UTF-8):	iwd - demon sieci bezprzewodowej dla Linuksa
Name:		iwd
Version:	1.2
Release:	1
License:	LGPL v2.1+
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
# Source0-md5:	f8bb17e5d6f6188da9b90c575f6b5f5e
URL:		https://git.kernel.org/pub/scm/network/wireless/iwd.git
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	ell-devel >= 0.26
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	ell >= 0.26
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireless daemon for Linux.

%description -l pl.UTF-8
Demon sieci bezprzewodowej dla Linuksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-docs \
	--enable-external-ell \
	--disable-silent-rules \
	--with-systemd-unitdir=%{systemdunitdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iwd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post iwd.service

%preun
%systemd_preun iwd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/iwd
%attr(755,root,root) %{_bindir}/iwctl
%attr(755,root,root) %{_bindir}/iwmon
%attr(755,root,root) %{_libexecdir}/iwd
/lib/systemd/network/80-iwd.link
%{systemdunitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_mandir}/man1/iwctl.1*
%{_mandir}/man1/iwmon.1*
%{_mandir}/man5/iwd.config.5*
%{_mandir}/man5/iwd.network.5*
%{_mandir}/man7/iwd.debug.7*
%{_mandir}/man8/iwd.8*
/usr/lib/modules-load.d/pkcs8.conf
%changelog
* Sat Nov 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iwd.git;a=log;h=master

* Thu Nov 28 2019 Jan Palus <atler@pld-linux.org> f7aa314
- up to 1.2

* Sat Nov 16 2019 Jan Palus <atler@pld-linux.org> a31622c
- up to 1.1

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 3ed1c9c
- up to 1.0

* Thu Oct 24 2019 Jan Palus <atler@pld-linux.org> 7d0cef6
- up to 0.23

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 4310ef6
- release 2 (by relup.sh)

* Mon Oct 14 2019 Jan Palus <atler@pld-linux.org> 27257a9
- up to 0.22

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> bdf9d66
- up to 0.21

* Wed Aug 28 2019 Jan Palus <atler@pld-linux.org> a05d607
- up to 0.20

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> 60d677f
- up to 0.19

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> 5042528
- up to 0.18

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 309c415
- up to 0.17

* Fri Apr 05 2019 Jan Palus <atler@pld-linux.org> ebf29b3
- up to 0.16

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> 65a93d1
- up to 0.15

* Tue Jan 15 2019 Jan Palus <atler@pld-linux.org> 5a378a4
- up to 0.14

* Tue Dec 11 2018 Jan Palus <atler@pld-linux.org> b02279b
- up to 0.13

* Fri Nov 16 2018 Jan Palus <atler@pld-linux.org> e9f7437
- up to 0.12

* Mon Oct 22 2018 Jan Palus <atler@pld-linux.org> 6dcfa8d
- up to 0.10

* Sat Aug 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 15b9463
- updated to 0.7

* Sun Aug 12 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e7396d7
- up to 0.6

* Sun Apr 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 3798a76
- new

